%define name blogilo
%define version 1.0
%define release %mkrel 1
%define Summary Blogging client for kde


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://www.kde-apps.org/CONTENT/content-files/102196-bilbo-%{version}-src.tar.gz
Patch0:		blogilo-fix-name.patch
License:	GPLv3
Group:		Networking/Other
URL:		http://blogilo.gnufolks.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs4-devel
BuildRequires:	kdepimlibs4-devel

%description
Blogilo is a blogging client for KDE, which supports famous blogging
APIs.

It was known as Bilbo blogger before, But because of a trademark
issue, We (Blogilo developers) decided to choose a new name for it.
More information about the decision can be found at
http://blogilo.gnufolks.org/news/.

Its current features:

* A full featured WYSIWYG editor.
* An HTML editor with syntax highlighting.
* Previewing your post with your blog style! like when you are
visiting it at your blog.
* Support for Blogger1.0, MetaWeblog, MovableType (Wordpress supports
All of these!) and Google GData (used on Blogspot.com blogs) APIs!
* Support for Creating/Modifying/Deleting posts.
* Support for creating drafts and scheduled posts!
* Support for uploading media files to your blog (Just on supported
APIs e.g. MetaWeblog and MovableType)
* Support for uploading to FTP server.
* Support for Fetching your recent blog entries.
* Support for adding Images to post from your system. It will upload
them on Submitting post to blog (Just on supported APIs e.g.
MetaWeblog and MovableType)
* Support for saving local entries before publishing.
* Saving your writing copy to prevent data loss, at configurable
intervals.
* and ...

%files -f bilbo.lang
%defattr(-,root,root)
%doc README CHANGELOG AUTHORS COPYING
%{_kde_bindir}/bilbo
%{_kde_datadir}/applications/kde4/bilbo.desktop
%{_kde_datadir}/apps/bilbo/bilboui.rc
%{_kde_datadir}/config.kcfg/bilbo.kcfg
%{_kde_iconsdir}/hicolor/*/*/*

#------------------------------------------------

%define libbilbokblog_major 4
%define libbilbokblog %mklibname bilbokblog %{libbilbokblog_major}


%package -n %libbilbokblog
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libbilbokblog
KDE 4 core library.

%files -n %libbilbokblog
%defattr(-,root,root)
%_kde_libdir/libbilbokblog.so.%{libbilbokblog_major}*


#------------------------------------------------
%define blogilolibdevel %mklibname bilbokblog-devel
%package -n %libbilbokblog-devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libbilbokblog = %{version}
Provides: %{name}-devel
Provides: %{blogilolibdevel}

%description  -n %libbilbokblog-devel
This package contains header files needed if you wish to build
applications based on %name.

%files -n %libbilbokblog-devel
%defattr(-,root,root)
%{_kde_libdir}/libbilbokblog.so

#---------------------------------------------------------------------

%prep
%setup -q -n bilbo
%patch0 -p 0

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang bilbo

%clean
%__rm -rf %{buildroot}

%changelog
* Sun Sep 20 2009 John Balcaen <mikala@mandriva.org> 1.0-1mdv2010.0
+ Revision: 444923
- import blogilo

